Subject: Bug#3493: Teles ISDN card installation buglets

From: [email-masked] (Bruce Perens)
Date: Mon, 1 Jul 96 21:27 PDT

Package: base

[I am re-filing this from my personal mail to the bug-tracking system.
 That will facilitate its eventual repair. Thanks! - Bruce]

From: Manfred Wassmann <[email-masked]>

Hi Bruce,

dpkg -I ...base-... tells me you are the maintainer of the
base-package so I mail this to you.

Trying to install a teles isdn card I found two errors in the MAKEDEV
script. Major and minor number of /dev/isdninfo are wrong and there is
a typo in the lines that create the devices with major 45 so they are
called idsnXXX instead of isdnXXX.

The following patch corrects these.

cu manolo

================== cut here =================
*** /dev/MAKEDEV.dist	Thu Jan  1 01:00:00 1970
--- /dev/MAKEDEV	Wed Jun 26 18:42:18 1996
***************
*** 729,735 ****
  	isdn)
  		# FIXME: check categories!!
  		# [2.0.0]
! 		makedev isdninfo c 255 0 $system
  		for no in 0  1  2  3  4  5  6  7  8  9 \
  			 10 11 12 13 14 15 16 17 18 19 \
  			 20 21 22 23 24 25 26 27 28 29 \
--- 729,735 ----
  	isdn)
  		# FIXME: check categories!!
  		# [2.0.0]
! 		makedev isdninfo c 45 255 $system
  		for no in 0  1  2  3  4  5  6  7  8  9 \
  			 10 11 12 13 14 15 16 17 18 19 \
  			 20 21 22 23 24 25 26 27 28 29 \
***************
*** 740,747 ****
  		do
  			makedev ttyI$no		c 43 $no $tty
  			makedev cui$no		c 44 $no $dialout
! 			makedev idsn$no		c 45 $no $system
! 			makedev idsnctrl$no	c 45 `math 64 + $no` $system
  			makedev ipp$no		c 45 `math 128 + $no` $system
  		done
  		;;
--- 740,747 ----
  		do
  			makedev ttyI$no		c 43 $no $tty
  			makedev cui$no		c 44 $no $dialout
! 			makedev isdn$no		c 45 $no $system
! 			makedev isdnctrl$no	c 45 `math 64 + $no` $system
  			makedev ipp$no		c 45 `math 128 + $no` $system
  		done
  		;;
================== cut here =================

--
                       Re-Elect Clinton/Gore '96

Bruce Perens AB6YM          [email-masked]            http://www.hams.com/